This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 743423 - Group Membership... button doesn't reenable
Group Membership... button doesn't reenable
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon3 jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-10-04 17:08 EDT by John Mazzitelli
Modified: 2012-02-07 14:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:21:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-10-04 17:08:39 EDT
Go to any Inventory>Groups page.

Click GroupMembership...

cancel whatever window comes up. The footer buttons do not re-enable.
Comment 1 John Mazzitelli 2011-10-18 09:24:19 EDT
this should be quick and easy to fix, looking at it now.
Comment 2 John Mazzitelli 2011-10-18 10:52:01 EDT
commit 8878bde

canceling group membership dialog now ensures the footer buttons are re-enabled.
Also refactored this code (ResourceGroupListView) to use the PopupWindow component
rather than building its own window. The maximize button is shown by default now,
allowing someone to maximize the group dialog.
Comment 3 Mike Foley 2011-10-18 11:08:08 EDT
tested positive and negative testcases surrounding this change.
Comment 4 Mike Foley 2012-02-07 14:21:41 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.